Skip to main content
PUT
@firma-dev/sdk

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

email_type
enum<string>
required

Email template type

Available options:
signing_invite,
next_signer,
signing_expired,
signing_cancelled,
signing_declined

Body

application/json
subject
string
required

Email subject line

Maximum string length: 500
body
string
required

Email body (HTML). Use {{signing_link}} placeholder for the signing URL.

Maximum string length: 50000

Response

Company email template updated successfully

Custom email template for signing request notifications

email_type
enum<string>
required

Type of email this template is for

Available options:
signing_invite,
next_signer,
signing_expired,
signing_cancelled,
signing_declined
subject
string
required

Email subject line

body
string
required

Email body (HTML). Supports placeholders like {{signing_link}}, {{signer_name}}, etc.

id
string<uuid>

Unique identifier for the email template

created_at
string<date-time>

Template creation timestamp

updated_at
string<date-time>

Template last update timestamp

warnings
string[]